跳转至

下行限速配置接口

POST 修改规则排序

POST /prod-api/cdn/layer7/advance/modifyRulesSort

Body 请求参数

{
    "domainId": 195,
    "sorts": [
        {
            "sort": 1,
            "locationId": 876
        }
    ]
}

请求参数

名称 位置 类型 必选 中文名 说明
Authorization header string -
body body L7RulesSortVO L7RulesSortVO -

返回示例

200 Response

{"msg":"更新成功","code":200}

201 Response

{}

返回结果

状态码 状态码含义 说明 数据模型
200 OK - Inline
201 Created - Inline
401 Unauthorized - Inline
403 Forbidden - Inline
404 Not Found - Inline

返回数据结构

状态码 200

名称 类型 必选 约束 中文名 说明
» msg string true - -
» code integer true - -

数据模型

L7RulesSortVO

{
  "domainId": 0,
  "sorts": [
    {
      "locationId": 0,
      "sort": 0
    }
  ]
}

L7RulesSortVO

属性

名称 类型 必选 约束 中文名 说明
domainId integer(int64) true - 域名id -
sorts [SortVo] true - 排序 -

SortVo

{
  "locationId": 0,
  "sort": 0
}

SortVo

属性

名称 类型 必选 约束 中文名 说明
locationId integer(int64) true - 规则id 该条限速规则的唯一 ID
sort integer(int32) true - 排序值 -